# class Byebug::IrbCommand

Enter IRB from byebug's prompt

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/irb.rb, line 26
    def description
      prettify <<-EOD
        irb  Starts an Interactive Ruby (IRB) session.
      EOD
    end

names() click to toggle source

    # File lib/byebug/commands/irb.rb, line 22
    def names
      %w(irb)
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/irb.rb, line 13
    def execute
      unless @state.interface.is_a?(LocalInterface)
        return errmsg(pr('base.errors.only_local'))
      end

      IRB.start(__FILE__)
    end

regexp() click to toggle source

    # File lib/byebug/commands/irb.rb, line 9
    def regexp
      /^\s* irb \s*$/x
    end